{ ... }:
let
  defaultPassiveInfo = {
    use = "external-passive-service";
    freshness_threshold = "450";
    retry_interval = "1";
    host_name = "immae.eu";
  };
in
{
  host = {
    "immae.eu" = {
      alias = "immae.eu";
      address = "immae.eu";
      use = "linux-server";
      hostgroups = "webstatus-hosts";
      _webstatus_name = "immaeEu";
    };
  };
  service = map (s: defaultPassiveInfo // s) [
    {
      service_description = "size on root partition";
      servicegroups = "webstatus-resources";
    }

    {
      service_description = "total number of process";
      servicegroups = "webstatus-resources";
    }

    {
      service_description = "average load";
      servicegroups = "webstatus-resources";
    }

    {
      service_description = "swap usage";
      servicegroups = "webstatus-resources";
    }

    {
      service_description = "no mdadm array is degraded";
      servicegroups = "webstatus-resources";
    }

    {
      service_description = "ntp is activated and working";
      servicegroups = "webstatus-resources";
    }

    {
      service_description = "ssh connexion responds";
    }

    {
      service_description = "pacman packages are not too old";
      servicegroups = "webstatus-resources";
      freshness_threshold = "10800";
      notification_interval = "0";
    }

    {
      service_description = "tinc@Immae service is active";
    }

    {
      service_description = "sshd service is active";
    }
  ];
}
